curl --request GET \
--url https://api.hakumedia.ai/v2/ad-items/native/{ad_item_id}/companions/products/{id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.hakumedia.ai/v2/ad-items/native/{ad_item_id}/companions/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.hakumedia.ai/v2/ad-items/native/{ad_item_id}/companions/products/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hakumedia.ai/v2/ad-items/native/{ad_item_id}/companions/products/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"object": "ad_item_companion_product",
"self": "/v2/ad-items/image/1234/companions/products/5678",
"id": 1234,
"catalog": 10001,
"product_identifier": "SKU-1001"
}{
"http_status": 404,
"type": "resource_not_found_error",
"message": "Resource not found."
}Get a Companion Product for a Native Ad Item
Authorizations
API key en el header Authorization: Basic TU_API_KEY. La key va tal cual, sin codificar en base64. Las credenciales se entregan al comenzar la integración.
Path Parameters
Identifier of the ad item.
Identifier of the companion product.
Query Parameters
Restrict the fields you wish to retrieve by listing the desired fields formatted as a comma-separated list. Fields like "object", "self", and "id" are always returned.
Response
successful operation
A string denoting the current resource being requested or affected.
"ad_item_companion_product"
The relative URL of the current resource being requested or affected.
"/v2/ad-items/image/1234/companions/products/5678"
The current resource identifier (ID).
1234
The ID of the product DB catalog.
10001
The product identifier (SKU) within the catalog.
"SKU-1001"